from rest_framework import viewsets
from api import models, serializers
import logging

class RolAplicacionViewSet(viewsets.ModelViewSet):
    serializer_class = serializers.RolAplicacionSerializer
    
    def get_queryset(self):
        id_rol = self.request.query_params.get('id_rol')  # Obtener el valor del parámetro id_rol desde la solicitud
        
        if id_rol is not None:
            return models.RolAplicacion.objects.filter(id_rol=id_rol)
        
        return models.RolAplicacion.objects.all()